[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# InflateRect

Inflates the rectangle in all directions.

## Declaration

Source position: winapih.inc line 325

`function InflateRect(`
`var ARect: TRect;`
`dx: Integer;`
`dy: Integer`
`):Boolean;`

## Arguments

`ARect` |  | This rectangle is modified.
`dx` |  | The horizontal increase, negative to decrease.
`dy` |  | The vertical increase, negative to decrease.

## Function result

Always True.

## Description

The deltas are applied to each side, i.e. the width and height increase by double delta amount.

Positive values inflate, negative values deflate.

The rectangle is clipped so that width and height never can become negative.

This method can be used to add or subtract a border around the rectangle.